import { Candidate } from '../../candidate';
import { Processor } from '../processor.abstract';

export abstract class Filter extends Processor {
  execute = (candidates: Candidate[]): Candidate[] => this.filter(candidates);

  abstract filter(candidates: Candidate[]): Candidate[];
}
